Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/transactions/unpaid?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "e7ff4a1d-407f-4abc-8619-009cfc2b9f01",
            "createdAt": 1768375011056,
            "type": "payment_request",
            "amount": 100000,
            "status": "active",
            "urlParamTrackingData": null,
            "paymentLinkId": "2c3e36dc-918d-40c2-98a2-4be39cf10dbd",
            "customerId": "c1a2b3c4-d5e6-4789-a012-3456789abcde",
            "customeField": null,
            "customer": {
                "id": "c1a2b3c4-d5e6-4789-a012-3456789abcde",
                "email": "andi.pratama@example.com",
                "name": "Andi Pratama",
                "mobile": "081200000001"
            },
            "paymentLink": {
                "id": "2c3e36dc-918d-40c2-98a2-4be39cf10dbd",
                "category": null,
                "createdAt": 1768375010158,
                "description": "Penagihan jasa konsultasi",
                "link": "o17j5jtascy",
                "name": "Penagihan",
                "redirectUrl": null,
                "userId": "a0000000-0000-4000-8000-000000000001",
                "coverImageId": null,
                "multipleImageId": null,
                "coverImage": null,
                "multipleImage": null
            },
            "paymentUrl": "https://yourstore.myr.id/select-channel/e7ff4a1d-407f-4abc-8619-009cfc2b9f01"
        },
        {
            "id": "745a84b8-886a-436c-a833-3e3c88705a67",
            "createdAt": 1768288611042,
            "type": "invoice",
            "amount": 80000,
            "status": "active",
            "urlParamTrackingData": null,
            "paymentLinkId": "fc5ae4ad-a187-4ab8-ad2f-582033ed1178",
            "customerId": "d2b3c4d5-e6f7-4890-b123-456789abcdef",
            "customeField": null,
            "customer": {
                "id": "d2b3c4d5-e6f7-4890-b123-456789abcdef",
                "email": "budi.santoso@example.com",
                "name": "Budi Santoso",
                "mobile": "081200000002"
            },
            "paymentLink": {
                "id": "fc5ae4ad-a187-4ab8-ad2f-582033ed1178",
                "category": null,
                "createdAt": 1768288610362,
                "description": "Tagihan layanan bulanan",
                "link": "a0me074770a",
                "name": "Tagihan Layanan",
                "redirectUrl": null,
                "userId": "a0000000-0000-4000-8000-000000000001",
                "coverImageId": null,
                "multipleImageId": null,
                "coverImage": null,
                "multipleImage": null
            },
            "paymentUrl": "https://yourstore.myr.id/select-channel/745a84b8-886a-436c-a833-3e3c88705a67"
        }
    ],
    "hasMore": true,
    "nextStartingAfter": "1768288611042"
}
Endpoint:
https://api.mayar.id/hl/v2/transactions/unpaid?limit=10

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameters

status
string
Filter unpaid transactions by status. Accepts active (still valid) or expired.
customerId
string
Filter unpaid transactions by a specific customer ID.
Filter unpaid transactions by a specific payment link ID.
startAt
string
Start of the date range to filter by (Unix timestamp in milliseconds).
endAt
string
End of the date range to filter by (Unix timestamp in milliseconds).
fields
string
Comma-separated list of fields to include in each item.
limit
integer
default:"10"
Number of items to return per page. Defaults to 10, with a maximum of 50.
startingAfter
string
Cursor for forward pagination. Pass the nextStartingAfter value from the previous response (a Unix timestamp in milliseconds, as a string) to fetch the next page.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of unpaid transactions displayed.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
nextStartingAfter
string | null
Cursor to pass as startingAfter to fetch the next page. null when there is no further data.

data Structure (Array Of Object)

id
string<uuid>
Unique ID for the transaction.
createdAt
number (timestamp)
The transaction creation time in epoch format (ms).
type
string
The type of transaction.
amount
integer
Payment amount.
status
string
Request status (active = still valid).
urlParamTrackingData
string | null
Data tracking via additional URL parameters (if any).
The ID of the payment link used.
customerId
string<uuid>
The unique ID of the customer who made the transaction.
customeField
object | null
Additional custom fields that can be filled in by the user (if any).
customer
object
Customer data that makes transactions.
Payment link information used for transactions.
paymentUrl
string
Unique URL to pay for this request.

customer Structure (Object)

id
string <uuid>
Unique customer ID.
email
string
Customer’s email address.
name
string
Customer’s name.
mobile
string
Customer’s mobile phone number.
id
string <uuid>
ID payment link.
category
string | null
Product category, can be null if there is no category.
createdAt
number | timestamp
Product creation time in epoch milliseconds format.
description
string
Product description.
Product slug/short URL.
name
string
Product name.
redirectUrl
string | null
Redirect destination URL, can be null.
userId
string<uuid>
User ID of the payment link owner.
coverImageId
string | null
ID cover image, can be null.
multipleImageId
string | null
ID for multiple image group.
coverImage
object | null
Cover image data, can be null.
multipleImage
object | null
List of additional images for the product.